From: simklei <41118799+simklei@users.noreply.github.com>
Date: Tue, 10 Dec 2024 13:44:22 +0100
Subject: feat: Replace removed template filter 'length_is' with 'length'

Origin: https://github.com/idlesign/django-sitetree/commit/6946b2de874ec737bde2bb84c2169f21f16fde10
Last-Update: 2025-01-02
---
 sitetree/templates/sitetree/breadcrumbs-title.html      | 2 +-
 sitetree/templates/sitetree/breadcrumbs.html            | 2 +-
 sitetree/templates/sitetree/breadcrumbs_bootstrap.html  | 2 +-
 sitetree/templates/sitetree/breadcrumbs_bootstrap3.html | 2 +-
 sitetree/templates/sitetree/breadcrumbs_bootstrap4.html | 2 +-
 sitetree/templates/sitetree/breadcrumbs_foundation.html | 2 +-
 sitetree/templates/sitetree/breadcrumbs_semantic.html   | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/sitetree/templates/sitetree/breadcrumbs-title.html b/sitetree/templates/sitetree/breadcrumbs-title.html
index 757ec2a..ce5e664 100644
--- a/sitetree/templates/sitetree/breadcrumbs-title.html
+++ b/sitetree/templates/sitetree/breadcrumbs-title.html
@@ -1,3 +1,3 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}{% for item in sitetree_items %}{{ item.title_resolved }}{% if not forloop.last %} - {% endif %}{% endfor %}{% endif %}
\ No newline at end of file
diff --git a/sitetree/templates/sitetree/breadcrumbs.html b/sitetree/templates/sitetree/breadcrumbs.html
index a98a131..13c86ab 100644
--- a/sitetree/templates/sitetree/breadcrumbs.html
+++ b/sitetree/templates/sitetree/breadcrumbs.html
@@ -1,5 +1,5 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}
 <ul>
 	{% for item in sitetree_items %}
diff --git a/sitetree/templates/sitetree/breadcrumbs_bootstrap.html b/sitetree/templates/sitetree/breadcrumbs_bootstrap.html
index 136d403..453c402 100644
--- a/sitetree/templates/sitetree/breadcrumbs_bootstrap.html
+++ b/sitetree/templates/sitetree/breadcrumbs_bootstrap.html
@@ -1,5 +1,5 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}
 <ul class="breadcrumb">
     {% for item in sitetree_items %}
diff --git a/sitetree/templates/sitetree/breadcrumbs_bootstrap3.html b/sitetree/templates/sitetree/breadcrumbs_bootstrap3.html
index d080652..cf61655 100644
--- a/sitetree/templates/sitetree/breadcrumbs_bootstrap3.html
+++ b/sitetree/templates/sitetree/breadcrumbs_bootstrap3.html
@@ -1,5 +1,5 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}
 <ul class="breadcrumb">
     {% for item in sitetree_items %}
diff --git a/sitetree/templates/sitetree/breadcrumbs_bootstrap4.html b/sitetree/templates/sitetree/breadcrumbs_bootstrap4.html
index 4a4cdbe..6f7c0f3 100644
--- a/sitetree/templates/sitetree/breadcrumbs_bootstrap4.html
+++ b/sitetree/templates/sitetree/breadcrumbs_bootstrap4.html
@@ -1,5 +1,5 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}
 <nav aria-label="breadcrumb" role="navigation">
     <ol class="breadcrumb">
diff --git a/sitetree/templates/sitetree/breadcrumbs_foundation.html b/sitetree/templates/sitetree/breadcrumbs_foundation.html
index f400364..3af3838 100644
--- a/sitetree/templates/sitetree/breadcrumbs_foundation.html
+++ b/sitetree/templates/sitetree/breadcrumbs_foundation.html
@@ -1,5 +1,5 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}
 <ul class="breadcrumbs">
     {% for item in sitetree_items %}
diff --git a/sitetree/templates/sitetree/breadcrumbs_semantic.html b/sitetree/templates/sitetree/breadcrumbs_semantic.html
index e8dfabc..92eb23b 100644
--- a/sitetree/templates/sitetree/breadcrumbs_semantic.html
+++ b/sitetree/templates/sitetree/breadcrumbs_semantic.html
@@ -1,5 +1,5 @@
 {% load sitetree %}
-{% if sitetree_items|length_is:"1" %}
+{% if sitetree_items|length == 1 %}
 {% else %}
 <div class="ui breadcrumb">
     {% for item in sitetree_items %}
